Skip to content

Alfa-Pay

Making a payment via Alfa-Pay and obtaining a payment link.

Before calling this method, you must create a session using POST /v1/orders/session.

URL

Method: POST

  • Production: https://api.pay.kvell.group/v1/orders/alfapay
  • Stage: https://api.pay.stage.kvell.group/v1/orders/alfapay

Request parameters

Name
Data type Required Description
transaction string Yes Unique transaction number on the merchant's side, used when creating the session
customer string No Customer identifier
ip string Yes Customer's IP address

Request example

{
  "transaction": "57c49ef5-5b15-4b1e-900d-6d85d0a7f7b4",
  "customer": "customer@example.com",
  "ip": "203.0.113.10"
}

Request headers

Name Data type Required Description
X-Api-Key string Yes Unique shop identifier
X-Signature string Yes Signature

The X-Signature signature is formed by concatenating X-Api-Key, transaction, and secret_key. It is generated as the sha256 hash of the resulting string:

sha256({X-Api-Key}{transaction}{secret_key})

where secret_key is the secret key found in the merchant's shop settings;

Response

Response example

{
  "form_url": "https://redirect.url/to_alfapay"
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}

After receiving form_url, redirect the user to the payment page or generate a QR code from the link.